
# DO NOT EDIT THIS FILE -- AUTOGENERATED BY PANTS
# Target: src/ai/backend/account_manager:dist

from setuptools import setup

setup(**{
    'author': 'Lablup Inc. and contributors',
    'classifiers': [
        'Intended Audience :: Developers',
        'Operating System :: MacOS :: MacOS X',
        'Operating System :: POSIX :: Linux',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Environment :: No Input/Output (Daemon)',
        'Topic :: Scientific/Engineering',
        'Topic :: Software Development',
        'Development Status :: 4 - Beta',
        'Programming Language :: Python :: 3.13',
        'License :: OSI Approved :: GNU Lesser General Public License v3 or later (LGPLv3+)',
    ],
    'description': 'Backend.AI Account Manager',
    'entry_points': {
        'backendai_cli_v10': [
            'am = ai.backend.account_manager.cli.__main__:main',
            'am.start-server = ai.backend.account_manager.server:main',
        ],
    },
    'install_requires': (
        'SQLAlchemy[postgresql_asyncpg]~=1.4.54',
        'aiohttp_cors~=0.8.1',
        'aiohttp~=3.11.16',
        'aiomonitor~=0.7.0',
        'aiotools~=1.8.2',
        'alembic~=1.13.2',
        'attrs>=25.3',
        'backend.ai-cli==25.6.8rc1',
        'backend.ai-common==25.6.8rc1',
        'backend.ai-logging==25.6.8rc1',
        'backend.ai-plugin==25.6.8rc1',
        'bcrypt~=4.2.0',
        'click~=8.1.7',
        'pydantic[email]~=2.11.3',
        'pyhumps~=3.8.0',
        'setproctitle~=1.3.5',
        'tenacity>=9.0',
        'tomlkit~=0.13.2',
        'uvloop~=0.21; sys_platform != "Windows"',
    ),
    'license': 'LGPLv3',
    'long_description': """# Backend.AI Account Manager

Backend.AI Account Manager is a daemon that manages user accounts, including Backend.AI 's first-party service.
""",
    'long_description_content_type': 'text/markdown',
    'name': 'backend.ai-account-manager',
    'namespace_packages': (
    ),
    'package_data': {
        'ai.backend.account_manager.models.alembic': (
            'script.py.mako',
        ),
    },
    'packages': (
        'ai.backend.account_manager',
        'ai.backend.account_manager.cli',
        'ai.backend.account_manager.models',
        'ai.backend.account_manager.models.alembic',
        'ai.backend.account_manager.models.alembic.versions',
    ),
    'project_urls': {
        'Documentation': 'https://docs.backend.ai/',
        'Source': 'https://github.com/lablup/backend.ai',
    },
    'python_requires': '>=3.13,<3.14',
    'url': 'https://github.com/lablup/backend.ai',
    'version': '25.6.8rc1',
    'zip_safe': False,
})
